{% set PageTitle = "Form Components" %}

{% extends "master.html" %}

{% block main %}
  <div id="form-b"></div>
{% endblock %}

{% block styles %}

{% endblock %}

{% block scripts %}

  <script>
    window.addEventListener('load', function(){

	ReactDOM.render(React.createElement(Components.Form, {
  		id	 : 'form',
  		endpoint : "dist/json/form.json",
        //heading : 'We need to know a bit more about you',
        submit : 'Submit this form',
        theme : {
        	themeName : 'warm-grey',
        	themeBefore : 'warm-grey'
        },
        success : {
        	heading : 'Thanks for reaching out to us',
        	content : `We'll be in touch with you within the next 3 working days and contact you by phone or email. Speak soon.`,
        	image : `<img src="dist/images/cms/flourish-insurance.svg" />`
        },
        failure : {
        	heading : 'Oops, something went wrong',
        	content : `We haven't received any of your details because of a technical error. Please resubmit the form or try again later.`,
        	backText : 'Go back to the form',
        	image : `<img src="dist/images/cms/flourish-insurance.svg" />`
        },
	    groups:[
          {
            name : 'Checkbox examples',
            id : 'group8',
            fields:[
              {
                id: 'fe21',
                type: 'date',
                label: 'Date',
                customError: 'Please enter a correct [data]',
                isRequired: true,
              },
              {
                id: 'fe22',
                type: 'email',
                label: 'Email',
                placeholder: 'joe.bloggs@example.com',
                customError: 'Please enter a correct [data]',
                isRequired: false,
              },
              {
                "type": "checkbox",
                "options": [
                  {
                    "label": "car",
                    "value": "car",
                    "selected": false
                  },
                  {
                    "label": " travel",
                    "value": " travel",
                    "selected": false
                  },
                  {
                    "label": " pet",
                    "value": " pet",
                    "selected": false
                  },
                  {
                    "label": " breakdown",
                    "value": " breakdown",
                    "selected": false
                  }
                ],
                "id": "changes to other policies",
                "name": "changes to other policies",
                "label": "Do you need to make this change to any other policies?",
                "additional": "(Tick as many boxes as you like and we&#39;ll do the rest)",
                "info": "",
                "value": "",
                "customError": "Please enter a valid blah",
                "isRequired": true,
                "isAllRequired": true,
                "editButton": ""
              }
             ],

          },
        ],
	  }), document.getElementById("form-b"));
  })
    </script>
{% endblock %}

{% block header %}
	<script>
    window.addEventListener('load', function(){
	  ReactDOM.render(React.createElement(Components.HeaderBanner, {
	  	isProductHeader:true,
	  	theme: {
        	themeAfter: 'warm-grey'
        },
      desktopImage:{
        html:'<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
        src:'dist/images/placeholder/bg__d_Investment.jpg',
        altText:'alt text goes here'
      },
	    mobImage:{
        html:'<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
        src:'dist/images/placeholder/bg__m_Travel.jpg',
        altText:'alt text goes here'
      },
      label:"Forms",
      article:{
        headline:"Form examples"
      }
    }), document.getElementById("HeaderBanner"));
  })
	</script>
{% endblock %}

{% block NavBreadcrumb %}
<script>
  window.addEventListener('load', function(){
	ReactDOM.render(React.createElement(Components.Breadcrumb, {
      items: [
          {
            label: "Components",
            url: "components.html",
            linkRel:"noreferrer"
          },
          {
            label: "Forms",
            url: ""
          }
      ]
  }), document.getElementById("breadcrumb"));
})
</script>
{% endblock %}

